Copyright: Pinnacle-BPS Extended Graph, 5.0


Contents
Help with the Graph control

The Graph control's property pages are a set of tabbed dialogs that let you design a graph interactively.

How to....

Enter the property pages

Reference

Property pages, front to back


Property page

The Graph control's property pages are a set of tabbed dialogs you can use to design a graph by defining its characteristics.


Entering the property pages

You can enter the property pages in either of two ways:

•	Click the right mouse button within a graphing window.

The Graph control displays the first property page.

•	If the graph toolbar is enabled, click the left mouse button on a toolbar icon.

The Graph control displays the property page associated with the toolbar icon.

Once you've entered the property pages, you can move from one property page to another by clicking on the tab for the desired page at the top of the property pages window.

Note  If any of the property pages described in this Help file aren't present in the application you're using, it's because the application designer has chosen not to provide users with access to that page.


Topic

Entering the property pages

Related

Property pages, front to back


OK

When you click this button, the property pages disappear and the graph is redrawn with any changes you've made.


Cancel/Close

This button can have two markings.

Cancel indicates that you have changed settings on the current property page but haven't yet applied the changes to the graph. If you click the Cancel button at this point, the property pages disappear and the graph is redrawn without changes.

Close means you've already applied changes using the Apply Now button. Click the Close button to exit the property pages.


Apply Now

Apply Now is similar to Ok. In both cases, changes are applied and the graph is redrawn. The one difference is that when you click Ok, the property pages disappear and you are returned to your application. When you click Apply Now, the property pages remain active.

Note: When you turn from one property page to the next, any changes you've specified on the current page are applied to the graph before the next property page displays.


Help

When you click this button, the Graph control Help file opens.


2D Gallery property page

Click on a graph type for a description


3D Gallery property page

Click on a graph type for a description


Pie chart

The pie chart, one of the simplest graph types, consists of a circle (or "pie") divided into two or more sections ("slices"). Pie charts show the proportion of parts to the whole. By labeling each pie slice with the quantity it represents, you can also allow a comparison of parts to each other, although not as effectively as you could with a bar graph or other graph type.

•	Each pie chart can graph only one data set, with each data point represented by a pie slice.

•	Negative data points are ignored and not shown.

•	You can draw any pie chart in either 2D or 3D form.

•	You can highlight any slice by "exploding" it (moving it slightly away from the center of the pie).

To explode pie slices, go to the Data property page, click the Exploded Slices button (which appears only when you've selected a pie chart in the 2D Gallery or 3D Gallery property page), and enter a 1 for each data point (slice) you want to explode.


Polar graph

The polar graph is essentially a line graph drawn on a circular grid. The line relates values to angles. Like logarithmic graphs, polar graphs are useful primarily in mathematical and statistical applications.

•	In a polar graph, the independent variable is charted on the angular axis, based on an origin (zero point) of three o'clock. The dependent variable is charted on the radial axis, with the origin at the center of the circle.

•	Polar graphs can chart multiple data sets, each represented by a single line, with as many data points as are meaningful.

•	If you don't supply an angular position for each data point, the Graph control automatically places the first point at an angle of 0, with subsequent points at increments of 360 (degrees) divided by the total number of points.

•	In drawing a polar graph, you can use any combination of lines, symbols, and "sticks" drawn between points and the center origin.


Bubble graph

The bubble graph lets you chart three variables in two dimensions. It's a special form of the scatter graph in which the size of a circular marker (the bubble) for a data point is used to represent a value. For example, the size of a bubble might represent a product's percentage of gross sales; the bubble's position along the Y axis might represent market size; and the position along the X axis might represent the number of competing products.

•	In a bubble graph, all three variables are independent. You can choose which variable to show on the X axis, which to show on the Y axis, and which to show by the size of the bubble.

•	You must supply values for the X position, Y position, and bubble size for each point. If you have access to the Data property page, you can set these values by pressing the X and Y Position button (the top row of the dialog contains the X positions and the bottom row the Y positions) and the Bubble Size button.

•	You can't draw curves on a bubble graph.


2D scatter graph

The 2D scatter graph consists of plotted points "scattered" around an X-Y grid. The pattern may reveal a relationship between the two variables measured by the X and Y axes. You can illustrate trends in the plotted points by adding a curve (go to the Trends property page). You can also indicate the range of error or uncertainty in the data by applying error bars (go to the Error Bar property page).

•	Scatter graphs can chart multiple data sets, each having any number of data points. Each set can be represented by a different symbol.

•	You can display scatter plots alone, curves alone, or both together. The combination is determined by your selections in the Style and Trends property pages.


3D scatter graph

The 3D scatter graph consists of plotted points "scattered" around an X-Y-Z space. The pattern may reveal a relationship between the three variables measured by the X, Y, and Z axes.

•	Scatter graphs can chart multiple data sets, each having any number of data points. Each set can be represented by a different symbol.

•	In defining a scatter graph, you usually supply an X position for each data point. If you supply no X positions, the Graph control automatically places points at X increments of 1, starting at 0.

•	You can emphasize the Y value of plotted points by selecting the Sticks option in the Style property page.

•	You can link points in a set with a connecting line by selecting the Lines option in the Style property page. The effect is equivalent to a 3D line graph with symbols marking points.


Line graph

The line graph consists of one or more lines (or sequences of symbols) drawn on an X-Y grid. Lines graphs let you show trends in values along a continuous scale.

•	In a line graph, the X axis usually represents an independent variable, which is most often a time scale. The Y axis usually shows a dependent variable, such as a quantity or percentage.

•	In drawing a line graph, you can use any combination of lines, symbols, and vertical "sticks."  You can choose this combination in the Style property page.

•	In the Style property page, you can select options to apply logarithmic scaling to the X axis, Y axis, or both--creating a lin/log, log/lin, or log/log graph..

•	You can create special graphing effects by drawing an "overlay" line graph on top of a another graph (bar, area, scatter, high-low-close, or another line graph). To enable an overlay graph, go to the Overlay property page.


2D bar graph

A bar graph consists of two or more parallel bars of equal width drawn on an X-Y grid. Bar graphs compare amounts to each other. They can also suggest trends, especially in vertical form.

•	2D bar graphs are available in five styles:  simple, stacked, stacked percentage, stacked floating, and Pareto. You can choose a style on the Style property page.

•	You can draw bars either vertically or horizontally. In the vertical format, viewers tend to attribute a left-to-right sequence to the bars, whether you intend one or not. To choose vertical or horizontal bars, go to the Style property page.


3D bar graph

A bar graph consists of two or more parallel bars of equal width drawn on an X-Y grid. Bar graphs compare amounts to each other. They can also suggest trends, especially in vertical form.

•	3D bar graphs are available in six styles:  simple, stacked, stacked percentage, stacked floating, Pareto, and z-clustered. You can choose a style on the Style property page.

•	You can draw bars either vertically or horizontally. In the vertical format, viewers tend to attribute a left-to-right sequence to the bars, whether you intend one or not. To choose vertical or horizontal bars, go to the Style property page.


Area graph

The area graph consists of one or more lines drawn on an X-Y grid, with the area between the line and the X axis filled in. Like line graphs, area graphs show trends in values but area graphs give greater emphasis to quantities.

•	Area graphs are available in three forms:  stacked, absolute, and stacked percentage. You can choose one of these forms on the Style property page.

•	Negative data points are ignored and not shown.

•	You can draw any area graph in either 2D or 3D form.

•	In 2D form, an area graph can be drawn with logarithmic scaling of the Y axis. (On the Style page, check Y Axis in the Log Data group.) A graph with logarithmic scaling of the Y axis and linear scaling of the X axis is known as a LogLin, or semi-log, graph. This type of graph is also sometimes called a rate-of-change graph because it highlights, better than purely linear graphs, whether the rate of change is increasing, decreasing or remaining steady.


Gantt chart

The Graph control's Gantt chart is a specialized version of the horizontal bar graph in simple or stacked form. It's used almost exclusively to show a project schedule, with each bar or bar segment marking the start time, duration, and completion time of a task.

•	Depending on your needs, you can have each bar represent either a single task (one solid bar) or a sequence of tasks (stacked bar).

•	Gantt charts are made up of at least two data sets. The first set contains the values for the start point of each bar, and subsequent sets contain the end points of each bar segment.

•	Unlike bar graphs, Gantt charts are always drawn horizontally and only in 2D form.

•	The Graph control automatically places Gantt bars along the Y axis at increments of 1, starting at 1.

•	In default form, Gantt chart bars are drawn with no spaces between them. You can add spaces if you choose. Go to the Style property page and select the Spaced option.

You can't show negative data points on a Gantt chart.


High-low-close graph

The high-low-close (HLC) graph lets you chart a range of values on an X-Y grid. The range is shown as a vertical bar, with horizontal crossbars for the high, the low, and a normative value usually called the close. An alternate version, the open-high-low-close (OHLC) graph, adds a fourth crossbar for another normative value usually called the open.

•	When you click the High-Low icon on the 2D Gallery property page, you get an HLC graph by default. To get an OHLC graph, go to the Style property page and select the 'Open' Values option.

•	An HLC graph must have three data sets (high, low, and close values), and an OHLC graph must have four data sets (open, high, low, and close values). There's no limit on the number of data points you can graph, but each data set should have the same number.

•	You can optionally draw the graph without the open and close bars, without the high and low bars, or with no bars at all. These options are available in the Style property page.


Candlestick graph

The candlestick graph is an alternative to the open-high-low-close graph. It consists of a series of boxes, with lines extending up and down from the ends, drawn on an X-Y grid. The top and bottom of each box indicate the open and close values. If the open value is higher, the box is filled with a color; if the close value is higher, the box is filled with white. The ascending and descending lines indicate the high and low values for that point.

•	The candlestick graph requires four data sets (open, high, low, and close values), each of which should have the same number of data points.

•	If you don't supply an X position for each data point, the Graph control automatically places points at increments of 1, starting at 0.

•	No style variants are available.


Box-whisker graph

The box-whisker graph illustrates the spread of data groups around their medians, using a "box" and "whiskers" to break down each data group by percentile.

In creating a box-whisker graph, you can either specify the seven percentile parameters for each symbol (provide "parametric" data) or supply a group of "raw" data for the Graph control to process and graph.

•	With raw data, you supply as many sets of data as you want and the Graph control computes percentile parameters. For example, if you are graphing the scores achieved by 24 students on five tests, you need 24 sets of data with five points per set. The control will analyze the data and draw five box-whiskers, one for each test. Each box-whisker will show the percentile distribution of scores for a single test.

•	With parametric data, you compute percentile data yourself and send it to the Graph control as exactly seven data sets, which specify the values at percentiles of 5, 10, 25, 50 (the median), 75, 90, and 95. The number of points within each set determines how many box-whiskers are drawn.


Time series graph

Unlike other graphs, the time series graph shows open-ended streams of data, rather than finite data sets. This graph is ideal for plotting real-time data.

A time series graph is drawn on a dynamic X-Y grid. Points are added one at a time to the right-hand edge. When the graph reaches the limit of points it can show, the oldest data begins to drop off the left edge. As a result, the graph appears to move on the screen.

•	Time series graphs can chart multiple data sets, each represented by a single sequence of symbols.

•	Because time series graphs represent continuous streams of data, they must be displayed on screen to show all the data. You cannot print a time series graph.

•	The data for a time series graph must be provided by the application. You cannot enter data for this type of graph from the property pages.


Tape graph

The tape graph is a 3D form of the line graph. It gives you only one styling option--"tapes" drawn between data points--but is otherwise the same as the line graph.


Surface graph

The surface graph lets you represent data topographically in three dimensions. The graph uses an X-Z grid drawn at regular increments in the X and Z directions, with one Y value for each X-Z intersection. The color scale of the graph is automatically keyed to the height of points, helping the viewer differentiate between higher and lower values.

•	A surface graph represents a minimum of two data sets and usually at least three. Each data set holds the Y values of a row of points along the X axis. The first set applies to the row of points perpendicular to the Z origin (the "back" of the graph), and subsequent sets apply to additional rows.

•	All panels of the surface graph (the rectangles formed by the X and Z grids) are colored according to their height. You specify the colors at the maximum and minimum points of the axis, and the Graph control interpolates colors between these points.

•	In drawing a surface graph, you can use lines to show the edges of each panel, fill each panel with a solid color, or use both lines and fills. You can also add side walls to the front and right edges of the graph if you choose. All of these options are available in the Style property page.


Style property page (Area graph--2D)
Style page (Area graph--2D)

Click where you need help


Topics

Style page (Area graph--2D)

Related

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Stacked (default)

Select this option for "stacked"--cumulative--layers. Each data set is drawn on top of any previous ones.


Absolute

Select this option to draw each data set from the Y origin. This form is much more readable in 3D.


Stacked %

Select this option to draw each data set as a percentage of a whole.


Log Y

Select this option for a logarithmic Y axis.


Style page (Area graph--3D)

Click where you need help


Topics

Style page (Area graph--3D)

Related

Style page (Area graph--2D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Style page (Bar graph--2D)

Click where you need help


Topics

Style page (Bar graph--2D)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Style property page (Bar graph)
Style page (Bar graph--3D)

Click where you need help


Topics

Style page (Bar graph--3D)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Horizontal

Select this option for a graph with bars drawn horizontally.


Vertical (default)

Select this option for a graph with bars drawn vertically, which is sometimes called a column graph.


Bar Gap

Adjusts the space between adjacent bars.


Simple (default)

Select this option to draw one bar per data point. If you have more than one data set, bars for corresponding points from each set are grouped together.


Stacked

Select this option to divide bars into segments, showing multiple data sets at corresponding data points.


Stacked %

Select this option to divide bars into segments representing percentages of a whole. Each complete bar will be the same length, but the breakdown of segments will vary according to their percentages at each data point.


Stacked Floating

Select this option to make the first segment of a bar invisible so that the bar appears to float above the axis.

Note: This style requires at least two data sets. The values in the first data set specify the length of the invisible segment.


Pareto

Select this option to sort bars by size. If the bars are vertical, they will be sorted in descending order, from left to right. If they are horizontal, bars will be sorted in descending order from top to bottom. Label text moves with the bar to which it is assigned.


Z-Clustered

Select this option to cluster multiple sets of bars in rows ranked from back to front. That is, the first set of bars is drawn at the back of the 3D cage. The second set is drawn in front of the first. The third is drawn in front of the second...and so on.

With this style, small bars may be hidden behind larger values. You may need to rotate the graph in order to see all bars. (To rotate a graph, go to the 3D property page.)


Style property page (Box-whisker graph)
Style page (Box-whisker graph)

Click where you need help


Topics

Style page (Box-whisker graph)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Parametric Data

Select this option if you want to compute percentile data yourself. You will need exactly seven data sets, which specify the values at percentiles of 5, 10, 25, 50 (the median), 75, 90, and 95. The number of points within each set determines how many box-whiskers are drawn.


Raw Data (default)

Select this option if you want the Graph control to process a group of data and produce the seven values making up the box-whisker.

The number of data sets you use is up to you to decide. For example, if you are graphing the scores achieved by 24 students on five tests, you need 24 sets of data with five points per set. The control will analyze the data and draw five box-whiskers, one for each test. Each box-whisker will show the percentile distribution of scores for a single test.


Show Samples (default is on)

Check this box to show the actual data values (samples) from which the box-whisker graph is produced, superimposed as symbols over the box-whisker graphics. Clear the box to show no samples.

This option is available only when you are graphing Raw Data.


No notch

Check this box to draw box markers without a notch at the median. Clear the box to draw a notch.


No whiskers

Check this box to omit whiskers. Clear the box to draw whiskers.


No median

Check this box to omit a median line. Clear the box to draw a median line.

Note:  By default, median lines are drawn in the same color as the marker. This means they will not be visible when the fill pattern is solid.


Black border

Check this box to outline the box-whisker symbols with a black border line. Clear the box to omit the border.


Style property page (Gantt chart)
Style page (Gantt chart)

Click where you need help


Topics

Style page (Gantt chart)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Spaced (default is off)

Check this box to place spaces between Gantt bars. Clear the box to draw all bars adjacent to each other.


Style property page (HLC graph)
Style page (High-low-close graph)

Click where you need help


Topics

Style page (HLC graph)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Open Values (default is off)

Check this box for an open-high-low-close graph. Clear the box for a high-low-close graph.

Note: A high-low-close graph has three data sets:  high values, low values, and closing values.  An open-high-low-close graph has a fourth data set for opening values.


No High/Low Ticks (default is off)

Check this box to disable high and low ticks. Clear the box to show those ticks.


No Open/Close Ticks (default is off)

Check this box to disable open and close ticks. Clear the box to show those ticks.


Style property page (Line graph--including log/lin, lin/log and log/log)
Style page (Line graph--including log/lin, lin/log and log/log)

Click where you need help


Topics

Style page (Line graph)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Symbols (default is off)

Check this box to draw a symbol at the position of each data point. Clear the box for no symbols.


Lines (default is off)

Check this box to draw lines between data points. Clear the box for no lines.

Note that if no options in the group (Symbols, Lines, and Sticks) are selected, lines are drawn in any case.


Sticks (default is off)

Check this box to draw a line between each data point and the Y origin. Clear the box for no sticks.


Y Axis (default is off)

Check this box for a logarithmic Y axis. If you select Y Axis and leave X Axis off, you'll get a log/lin graph; if you select both, you'll get a log/log graph.


X Axis (default is off)

Check this box for a logarithmic X axis. If you select X Axis and leave Y Axis off, you'll get a lin/log graph; if you select both, you'll get a log/log graph.


Style property page (Pie chart)
Style page (Pie chart)

Click where you need help


Topics

Style page (Pie chart)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Off (default is off)

Check this box to draw a pie chart with no labels for the slices. Clear the box to draw labels.


Connecting Lines (default is on)

Check this box to have connecting lines drawn between pie slices and their labels. Clear the box for no connecting lines.


Colored as Slices (default is off)

Check this box to have pie labels drawn in the same colors as their corresponding slices. Clear the box to have every label drawn in a single color (black by default, or as specified on the Fonts property page).


% Data Values (default is off)

Check this box to have pie labels show the percentage values of their slices (as related to the whole). Clear the box to have labels show the actual values of their slices.


Auto Arrange (default is off)

Check this box to have the Graph control position labels so that they do not overlap. Some labels may be drawn farther from the pie than others.

If your pie has many small segments, Auto Arrange can help prevent labels from being drawn on top of one another.


Style property page (Polar graph)
Style page (Polar graph)

Click where you need help


Topics

Style page (Polar graph)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Style property page (2D scatter graph)
Style page (Scatter graph--2D)

Click where you need help


Topics

Style page (Scatter graph--2D)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--3D)

Style page (Surface graph)

Style page (Time series graph)


Symbols (default is on)

This option matters only if you have enabled curve fitting for the graph on the Trends property page.

If you have not enabled a curve, symbols are always drawn. If you have enabled a curve, you can see just the curve without symbols by clearing this checkbox.


Style property page (3D scatter graph)
Style page (Scatter graph--3D)

Click where you need help


Topics

Style page (Scatter graph--3D)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Surface graph)

Style page (Time series graph)


Sticks (default is off)

Check this box to draw a vertical stick between each data point and the Y origin plane. Clear the box for no sticks.


Lines (default is off)

Check this box to draw connecting lines between points in a set.


Style property page (Surface graph)
Style page (Surface graph)

Click where you need help


Topics

Style page (Surface graph)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Time series graph)


Filled Panels (default is on)

Check this box to fill in the cells of a surface graph grid with "panels" (actually paired triangles) of color. Clear the box for no panels.

The color range of panels is determined by your settings in the Grade Color group.


Boundary Lines (default is on)

This option lets you draw lines along the edges of each cell of the surface graph grid.

•	If Filled Panels is selected, select Boundary Lines to draw lines (which are always black) and Clear the box for no lines.

•	If Filled Panels is deselected, lines are drawn in any case. Their color range is determined by your settings in the Grade Color group.


Min

This box sets the color for the lowest point on the surface graph.

Colors vary according to the color palette you've selected. To choose a palette, go to the Background property page.


Max

This box sets the color for the highest point on the surface graph.

Colors vary according to the color palette you've selected. To choose a palette, go to the Background property page.


On (default is off)

Check this box to draw side walls around the perimeter of the graph in the X and Z planes. Clear the box for no side walls.


Color

This box sets the color for the side walls, using the current color palette. To select a palette, go to the Background property page.


Style page (Time series graph)

Click where you need help


Topics

Style page (Time series graph)

Related

Style page (Area graph--2D)

Style page (Area graph--3D)

Style page (Bar graph--2D)

Style page (Bar graph--3D)

Style page (Box-whisker graph)

Style page (Gantt chart)

Style page (HLC graph)

Style page (Line graph)

Style page (Pie chart)

Style page (Polar graph)

Style page (Scatter graph--2D)

Style page (Scatter graph--3D)

Style page (Surface graph)


Symbols (default)

Select this option to draw a symbol at the position of each data point.


Lines

Select this option to connect data points with a continuous line. One line is drawn for each data set.


Data property page

Click where you need help


Data Values (available for all graph types except polar and bubble)

In most cases, the Data Values grid holds the position of data points along the Y (vertical) axis. However, some graph types make different use of these values:

•	In pie charts, each Data Values cell corresponds to one pie slice. There's only one row of cells because pie charts show a single data set.

•	In horizontal bar graphs, Data Values are X (horizontal) values instead of Y values.

•	In floating bar graphs, the first row of Data Values graphs as the invisible bottom segment of each bar.

•	In Gantt charts, each column of Data Values applies to a single bar. You need a minimum of two rows (sets) of cells:  the first row contains the starting point for the first segment of each bar, the second row contains the end points of those first segments, and subsequent rows contain the end points of additional segments.

•	In high-low-close graphs, each column of Data Values applies to a single symbol. You have three rows (sets) of cells:  the first row contains the high values, the second the low values, and the third the closing values.

•	In open-high-low-close and candlestick graphs, each column of Data Values applies to a single symbol. You have four rows (sets) of cells:  the first row contains the opening values, the second the high values, the third the low values, and the fourth the closing values.

•	In box-whisker graphs, each column of Data Values applies to a single symbol. If you're using parametric data, you need exactly seven rows of ascending values representing percentiles of 5, 10, 25, 50 (median), 75, 90, and 95; any additional rows are ignored. If you're using raw data, you need enough rows to hold all the values you want to process (never less than seven rows).

•	In surface graphs, you need a minimum of two rows (sets) of cells:  the first row contains the Y values for the points along the X axis at Z = 0 (the "back row" of points), and subsequent rows contain the Y values for additional rows of points along the X axis.


X Position (available for all graph types except pie, polar, bubble, Gantt, time series, and surface)

In most cases, X Position values are optional--you need them only if you want to set custom positions for data points along the X (horizontal) axis. However, lin/log and log/log graphs always have X Position values, and scatter graphs usually do.

Most graphs have one X Position cell for each point, but high-low-close, open-high-low-close, candlestick, and box-whisker graphs have only one row of cells, each of which corresponds to a single symbol.


Z Position (available for 3D scatter graphs only)

In the Z Position dialog, you can enter points for the Z (depth) values of 3D scatter graphs.


Missing Data

This dialog presents a grid in which you can mark certain data points as "missing."  Missing data points are not displayed in the graph, even if you have set a value for the point using the Data Values grid.

The number of rows in the grid is equal to the number of sets in the graph. The number of columns is equal to the number of points. When you place the cursor in a particular cell, the lower right corner of the dialog displays a (set, point) indicator. If the cursor is in the second row, first column the indicator will display (2, 1), meaning Set 2, Point 1.

To specify a data point as missing, enter a -1 in the corresponding cell. To display a data point, leave its cell blank or enter 0.

To miss a particular point in all sets, you need only enter -1 in that point's column of the first row. To miss a point in one set but display it in all other sets, enter -1 in the cell for the (set, point) you want to miss, and then enter 0 in the remaining cells of the same column.


By Value

Rather than mark particular data points as missing, you can use this list to screen out certain data values. The settings in this list can be used in combination with the Missing Data grid.

Default. Do not screen out any values.

Zero data. Screen out zero values.

The remaining options screen out values in relation to limit lines. (See the Trends property page.) It is not necessary to display limit lines; however, you must have entered High and/or Low limit values for these options to work.

Below low limit. Screen out values less than the Low value.

Above high limit. Screen out values greater than the High value.

Outside limits. Screen out values less than the Low or greater than the High value.

Inside limits. Screen out values greater than the Low but less than the High value.


Bridging Line

Select the type of line used to bridge gaps caused by missing or excluded values. Enabled only for line graphs (including log variants).


Points

Determines the number of columns in the Data Values grid and the number of points in each data set graphed. You can enter any value from 1 to 6000, though you normally need at least two points to create a meaningful graph.


Sets

Determines the number of rows in the Data Values grid and the number of data sets graphed. In most cases, you can enter any value from 1 to 6000. However, there are several exceptions:

•	In pie charts, Sets is always 1 because you can graph only one data set.

•	In bubble graphs, Sets is always 2 because the X and Y Position dialog requires two rows of cells. Despite this setting, the Bubble Size dialog contains only one row of data.

•	In Gantt charts and surface graphs, you need at least two rows of cells in the Data Values dialog. The default Sets value is 2, but you can enter a higher value.

•	In high-low-close graphs, Sets is always 3 because you need three rows of cells in the Data Values dialog--high values, low values, and closing values.

•	In open-high-low-close and candlestick graphs, Sets is always 4 because you need four rows of cells in the Data Values dialog--opening values, high values, low values, and closing values.

•	In box-whisker graphs, you need enough rows in the Data Values dialog to include all of the values you want to graph. The minimum (and default) Sets value is 7 because you need exactly seven rows for parametric data. However, you can enter a higher Sets value if you're using raw data and have more than seven values making up your sample groups.


Range From

To graph only a portion of the data loaded, enter the number of the first point in the range.

For example, if you have data for 12 months but want to zoom in on just months 4 through 6, enter 4 in Range From.

Note: When both Range From and Range To are set to zero, all points are graphed.


Range To

To graph only a subset of the data loaded, enter the last point in the range.

For example, if you have data for 12 months but want to zoom in on just months 4 through 6, enter 6 in Range To.

Note: When both Range From and Range To are set to zero, all points are graphed.


Titles property page

Click where you need help


Graph Title

In this box, you can enter text for the graph title, which can be up to 80 characters in length. This title appears centered at the top of the graphing window.

When you enter text for a title, the Graph control adjusts the rest of the graphing window to provide space--either redrawing the graph and associated objects at a smaller size or decreasing the space between objects. When you clear the text box for a title, you disable it and provide more space for the rest of the graph.

If you enter a title that's too long to appear in a single line, the Graph control automatically word-wraps it. If a title doesn't display at all, it's because the Graph control can't make the font small enough to fit all the text in the space provided. Increase the size of the graphing window to make the title appear.


Title text

When you enter text for a title, the Graph control adjusts the rest of the graphing window to provide space--either redrawing the graph and associated objects at a smaller size or decreasing the space between objects. When you clear the text box for a title, you disable it and provide more space for the rest of the graph.

If you enter a title that's too long to appear in a single line, the Graph control automatically word-wraps it. If a title doesn't display at all, it's because the Graph control can't make the font small enough to fit all the text in the space provided. Increase the size of the graphing window to make the title appear.


Bottom Title

In this box, you can enter text for the bottom title, which can be up to 80 characters in length. This title appears centered at the bottom of the graphing window. A bottom title frequently explains the X axis.

When you enter text for a title, the Graph control adjusts the rest of the graphing window to provide space--either redrawing the graph and associated objects at a smaller size or decreasing the space between objects. When you clear the text box for a title, you disable it and provide more space for the rest of the graph.

If you enter a title that's too long to appear in a single line, the Graph control automatically word-wraps it. If a title doesn't display at all, it's because the Graph control can't make the font small enough to fit all the text in the space provided. Increase the size of the graphing window to make the title appear.


Left Title

This box lets you enter text for the left title, which can be up to 80 characters in length.

When you enter text for a title, the Graph control adjusts the rest of the graphing window to provide space--either redrawing the graph and associated objects at a smaller size or decreasing the space between objects. When you clear the text box for a title, you disable it and provide more space for the rest of the graph.

If you enter a title that's too long to appear in a single line, the Graph control automatically word-wraps it. If a title doesn't display at all, it's because the Graph control can't make the font small enough to fit all the text in the space provided. Increase the size of the graphing window to make the title appear.


Horizontal (default)

Select this option if you want the title to print horizontally.


Up

Select this option if you want the title to print vertically, running in an upward direction.


Down

Select this option if you want the title to print vertically, running in a downward direction.


Right Title

This box lets you enter text for the right title, which can be up to 80 characters in length. The right title frequently explains the right-hand Y axis when you have an overlay graph.

When you enter text for a title, the Graph control adjusts the rest of the graphing window to provide space--either redrawing the graph and associated objects at a smaller size or decreasing the space between objects. When you clear the text box for a title, you disable it and provide more space for the rest of the graph.

If you enter a title that's too long to appear in a single line, the Graph control automatically word-wraps it. If a title doesn't display at all, it's because the Graph control can't make the font small enough to fit all the text in the space provided. Increase the size of the graphing window to make the title appear.


Axis property page (Graphs with X-Y grids)
Axis property page (Graph types with X-Y grids)

Click where you need help


Topics

Axis property page (Graph types with X-Y grids)

Related

Axis property page (Polar graphs)


X

Select this option to view and/or change the settings for the X axis.


Y Primary

Select this option to view and/or change the settings for the primary Y axis (which is the only Y axis when you don't have an overlay graph).


Y Overlay

Select this option to view and/or change the settings for the axis of an overlay graph with a separate Y axis.


Z

Select this option to view and/or change the settings for the Z axis.


Color of Axes (default is automatic black or white)

In this list box, you can choose a color for axes from the current color palette. The same color is applied to all axes. The default color is automatic black or white, whichever provides more contrast.

To choose a color palette, go to the Background property page.


Variable (default)

•	When X is selected in the Apply to Axis group, select this option to draw the X axis intersecting the Y origin, whether that's at the top, bottom, or middle of the graph.

•	When Y Primary is selected in the Apply to Axis group, select this option to draw the primary Y axis intersecting the X origin, whether that's at the left, right, or middle of the graph.


Left or Top

•	When X is selected in the Apply to Axis group, select this option to draw the X axis at the top of the graph, regardless of the location of the Y origin.

•	When Y Primary is selected in the Apply to Axis group, select this option to draw the primary Y axis at the left edge of the graph, regardless of the location of the X origin.


Right or Bottom

•	When X is selected in the Apply to Axis group, select this option to draw the X axis at the bottom of the graph, regardless of the location of the Y origin.

•	When Y Primary is selected in the Apply to Axis group, select this option to draw the primary Y axis at the right edge of the graph, regardless of the location of the X origin.


Zero Origin (default for all X-Y-Z graphs except time series)

Select this option to draw the axis including the origin (zero) and extending far enough in the positive and negative directions to include all of the graph's values.


Variable Origin

Select this option to have the axis "zoom in" on the range of the graph's actual values, whether or not that range includes zero.

For X and Z axes, this option differs from Auto only if you specify X or Z values for data points.


User-Defined (default for time series graphs)

Select this option to set your own values for the minimum, maximum, and number of ticks for the axis. When you select User-Defined, the settings in the Range group are enabled.


Max (enabled by selecting User-Defined in the Scale group)

The Max setting is generally the maximum point of the axis, with the following exceptions:

•	If you have a positive Max with a negative Min, the Graph control may adjust the maximum or minimum point so that it lies on a tick. See Ticks.

•	In 3D graphs, if you specify a Max that's too low to show all your data values, the Graph control moves the maximum point to show all the values. The Ticks setting still applies.

•	For X and Z axes without specific X or Z values, the Max setting is ignored. The maximum point of the axis is equal to the number of points or sets you're graphing.


Min (enabled by selecting User-Defined in the Scale group)

The Min setting is generally the minimum point of the axis, with the following exceptions:

•	If you have a positive Max with a negative Min, the Graph control may adjust the maximum or minimum point so that it lies on a tick. See Ticks.

•	In 3D graphs, if you specify a Min that's too high to show all your data values, the Graph control moves the minimum point to show all the values. The Ticks setting still applies.

•	For X and Z axes without specific X or Z values, the Min setting is ignored. The minimum point of the axis is always 0.


Ticks (enabled by selecting User-Defined in the Scale group)

The Ticks setting determines the number of ticks along the selected axis. (Note that the setting here does not determine whether tick marks are displayed--see the Tick Marks group.)  The effect depends on the axis and the nature of your data:

•	For X axes without specific X values, the Ticks setting must be greater than the Points setting--available in the Data property page--to have any effect. In that case, the X axis is extended to the Ticks value.

•	For Z axes without specific Z values (3D bar, tape, area, and surface graphs), you can't specify Ticks. The option is disabled.

•	For Y axes, X axes with specific X values, and Z axes with specific Z values, the Ticks setting specifies the number of ticks from the origin to the setting of either Max or Min, whichever has the higher magnitude (distance from 0). For example, if you set Min to -50 and Max to 20, Ticks applies to the axis segment between 0 and -50.

•	To determine the Ticks value you want to set, divide the length of the axis (or axis segment) by the desired interval between ticks. For the axis segment 0 to -50 we've just described (whose length is 50 units), if you want to place ticks 25 units apart, set Ticks to 2.

Both the maximum and minimum points of an axis must fall on a tick. If you have a negative Min with a positive Max, the Graph control may have to move the minimum or maximum point to make this happen. In our example axis, ticks would be placed at -50, -25, 0, and 25--overriding the Max setting of 20.


Show (available for X and Y Primary axes only; default is on)

Check this box to draw tick marks along the axis. Clear the box for no tick marks.

If you have a Y Overlay axis, the Show setting for Y Primary also applies to Y Overlay. Either both axes have tick marks or both don't.


Minor (available for X, Y Primary, and Y Overlay axes; default is off)

Specify the number of minor tick marks to be drawn between pairs of major ticks.


Through Axes

Select this option if you want tick marks centered on the axis line.

Note:  Your selection will apply to all axes for which tick marks have been enabled.


Inside Axes

Select this option if you want tick marks to be drawn only on the graph side of the axes.

Note:  Your selection will apply to all axes for which tick marks have been enabled.


Outside Axes

Select this option if you want tick marks drawn outside the axes.

Note:  Your selection will apply to all axes for which tick marks have been enabled.


Every (available for X axis with zero or variable origin only; default is 1)

If you select Zero Origin or Variable Origin in the Scale group, you can use the Every setting to specify the frequency with which tick marks are displayed along the X axis. An Every setting of 1 places a mark at each tick, a setting of 2 places a mark at every other tick, and so on.

The X axis must end with a tick mark. If you set an Every value that doesn't include the last value on the axis, the Graph control will extend the axis so that it ends on a tick mark.

This setting doesn't apply when you've set independent positional values using the X Position dialog (for horizontal bar graphs, the Y Position dialog) in the Data property page.


Show (available for X and Y Primary axes only; default is off)

Select this option to draw grid lines perpendicular to the axis, intersecting each tick mark. Clear the box for no grid lines.


Line (default is solid)

In this list box, you can choose a style for grid lines. The same style is applied to both X and Y grids.


Color (default is automatic black or white)

In this list box, you can choose a color for grids from the current palette. The same color is applied to both X and Y grids. The default color is automatic black or white, whichever provides more contrast.

To choose a color palette, go to the Background property page.


Axis property page (Polar graphs)

Click where you need help


Topics

Axis property page (Polar graphs)

Related

Axis property page (Graph types with X-Y grids)


Angular (default)

Select this option to view and/or change the angular axis, which is marked by a series of radial lines ("spokes") at angular increments. The origin is three o'clock.


Radial

Select this option to view and/or change the settings for the radial axis, which is marked by a series of concentric circles.


Color of Axes (default is automatic black or white)

In this list box, you can choose a color for axes from the current color palette. The same color is applied to both the angular and radial axes. The default color is automatic black or white, whichever provides more contrast.

To choose a color palette, go to the Background property page.


Show (default is off)

Select this option to enable grid lines for the axes. Clear the box for no grid lines.

•	For angular axes, the Graph control draws grid lines between the origin and outer wall of the polar graph at angles of 45, 135, 225, and 315 degrees.

•	For radial axes, the Graph control draws four concentric circles at regular increments between the origin and the outer wall of the polar graph.


Line (default is solid)

In this list box, you can choose a style for grid lines. The same style is applied to both angular and radial grids.


Color (default is automatic black or white)

In this list box, you can choose a color for grids from the current palette. The same color is applied to both angular and radial grids. The default color is automatic black or white, whichever provides more contrast.

To choose a color palette, go to the Background property page.


3D property page

Click where you need help


Off (available only for 3D bar, tape, and area graphs)

Select this option for standard 3D. This option is included for compatibility with earlier editions of the Graph control. Standard 3D doesn't support such True3D options as rotating cages and Z axis labels. All you can do is set the color of the walls and edges of the graph's "cage."


Perspective (default)

Select this option for True3D with perspective projection. You can use the In-Out scroll bar to control the perspective at which graphs are drawn.


Isometric

Select this option for True3D with isometric projection. In this mode, angles are rendered as if the graph is viewed from an infinite distance (so all parallels are preserved in the drawing), and the In-Out scroll bar is disabled.


In-Out

The In-Out scroll bar controls the degree of perspective foreshortening--or the perceived "distance" from which the graph is viewed--for a True3D graph with perspective projection.

The In-Out scroll bar is disabled for True3D graphs with isometric projection. In those graphs, angles are drawn as if the viewing distance were infinite, so all parallels are preserved.


Up-Down (default is halfway up the graph)

The Up-Down bar sets the vertical viewing angle for a True3D graph.

The default Up-Down bar setting places the viewing angle halfway up the graph, which is defined as 0 degrees. Each click up or down shifts the angle by one degree, to a maximum of 90 degrees (directly above the graph) and a minimum of -60 degrees (somewhat below the "floor" of the graph cage).


Left-Right (default is facing the front of the graph)

The Left-Right bar sets the horizontal viewing angle for a True3D graph.

The default Left-Right bar setting places the viewing angle directly facing the front of the graph. Each click to the left or right shifts the angle by one degree, to a maximum of 180 degrees (to the right) and a minimum of -180 (to the left). The values of 180 and -180 provide the same view--directly facing the rear of the graph.


Cage flips

If you select a viewing angle that would normally cause part of the graph to be obscured, the back or side wall "flips" to the opposite edge of the cage, letting you see the whole graph.


Off (default)

Select this option to disable cage flips.


Back and Side

Select this option to enable cage flips for both the back wall and side wall.


Back Only

Select this option to enable cage flips for the back wall only. This option makes it easier for the viewer to stay oriented to the graph, because the side wall always represents the left edge of the cage.


Depth

This scroll bar lets you vary the projected depth of True3D graphs.

The default Depth setting provides equal increments for units in the X and Z directions--a graph with an equal number of points and sets would be of equal width and depth. The numeric value for this default is 100. Each click to the left decreases the value by 5 (to a minimum of 10) and each click to the right increases it by 5 (to a maximum of 1000).


X Gap

This scroll bar lets you set the gap between the bars of a True3D bar graph. This gap is in the X direction for vertical bar graphs and in the Y direction for horizontal bar graphs.

The default X Gap setting is 20 percent of the entire possible width of each bar--the remaining 80 percent is occupied by the bar itself. Each click to the left decreases the gap percentage by 1 (to a minimum of 0) and each click to the right increases it by 1 (to a maximum of 95). At the minimum X Gap setting of 0, there's no gap between bars.


Z Gap

This scroll bar lets you set the gap in the Z (depth) direction between data sets in three kinds of True3D graphs with multiple data sets:  bar (z-clustered style), area (absolute style), and tape.

The default Z Gap setting is 20 percent of the entire possible width of each bar (or area plot or tape)--the remaining 80 percent is occupied by the bar itself. Each click to the left decreases the gap percentage by 1 (to a minimum of 0) and each click to the right increases it by 1 (to a maximum of 95). At the minimum Z Gap setting of 0, there's no gap between bars.


Wall Color (default is automatic color)

In this list box, you can choose a color for the walls and floor of a True3D graph cage from the current palette. The same color is applied to the back wall, side wall, and floor of the cage.

To choose a color palette, go to the Background property page.


Thick Walls (default is on)

Check this box if you want the walls and floor of the True3D cage to appear "thick," with edges. Clear the box for "thin" walls, which have no discernible edges.


Edge Color (default is automatic color)

In this list box, you can choose a color for the edges of a True3D graph cage from the current palette. This setting is disabled if you deselect the Thick Walls option.

To choose a color palette, go to the Background property page.


Fonts property page

Click where you need help


Graph Title (default)

Select this option to apply font settings to the graph's title, which always appears centered at the top of the graphing window.


Other Titles

Select this option to apply font settings to the graph's left, right, and bottom titles. The same settings apply to all three of these titles.


Labels

Select this option to apply font settings to the graph's labels--including axis labels (for graphs with X-Y-Z grids and polar graphs), pie chart labels, and data labels. The same settings apply to all labels in use in the graph.


Legend

Select this option to apply font settings to the graph's legend.


Name (default is Arial)

In this list box, you can choose any installed Windows font for the selected text.


Italic (default is off)

Select this option to have the Graph control italicize the text.


Bold (default is off)

Select this option to have the Graph control display the text in boldface.


Underline (default is off)

Select this option to have the Graph control underline the text.


Smart Scale (default is on)

Check this box to have the Graph control automatically use smaller type if the size you specify (using the Smaller-Bigger scroll bar) makes the text too large for the available space. If the Graph control can't make the type small enough to fit, the text won't display at all.

If you do not check Smart Scale, the Graph control will not attempt to use type smaller than you specify with the Smaller-Bigger scroll bar. If the text is too large for the space available, it simply won't display.


Smaller-Bigger

This scroll bar lets you set the size of type. If Smart Scale is selected, the Graph control may override your setting to make the text small enough to fit in the graphing window.

Each click on the Smaller end of the scroll bar decreases the text size by 5 arbitrary units (to a minimum of 50), and each click on the Bigger end increases it by 5 units (to a maximum of 500). The initial size depends on which type of text you're sizing.


Reset

Click this button to reset the text size to the default.


Markers property page

Click where you need help


Click to Select a Point or Set

When you move the mouse pointer over the graph drawing at the upper left of the Markers page, the pointer becomes a large arrow. Point and click on the marker you want to apply settings to.


Apply To group

This group shows you the point or set number of the graph object you've selected in the graph illustration.

Set. For all graph types except pie, bubble, and bar graphs having one data set, a Set number is shown. Your settings apply to a particular data set.

Point. For pie charts, bubble graphs, and bar graphs having one data set, a Point number is shown. Your settings apply to a particular data point.


Reset All button

Click this button to return all values in the Markers property page to their default.


Color (default is automatic color selection)

In this list box, you can choose a color for the selected marker from the current palette. To choose a color palette, go to the Background property page.

By default, the Graph control assigns an automatic series of colors to markers, chosen for variety. If you override this default by setting your own color for one marker, you have to set colors for the remaining markers as well--otherwise, they'll be shown in black.


Pattern (default is solid)

Choose a pattern for the selected marker. If you don't choose one, the marker appears in a solid color.

The Pattern list box is enabled only for pie, bubble, bar, area, Gantt, box-whisker, and tape graphs.


Symbol (default is automatic symbol)

In this list box, you can choose one of 14 symbol options.

By default, the Graph control automatically assigns symbols. If you override this default by setting your own symbol for one set, you have to set symbols for any remaining sets as well--otherwise, they'll all default to the first available symbol (+).


Size

This scroll bar sets the size for symbols, based on a default of 100 arbitrary units. Each click to the left decreases the symbol size by 5 units (to a minimum of 10), and each click to the right increases it by 5 units (to a maximum of 1000).


Thick (default is on)

Check this box to enable thick lines, which are three pixels thick by default. Clear the box for thin lines, which are one pixel thick.

For polar, line, and logarithmic graphs, you can choose a line thickness of one to five pixels (overriding the default three pixels) in the list box. This setting applies to all lines in the graph. You can't set your own thickness for high-low-close or open-high-low-close markers, which are always three pixels thick when Thick is on.


Patterned (default is off)

Check this box to enable patterned lines. Then, in the list box, choose a pattern for each line.


Trends property page

Click where you need help


All Sets

Select this option if you want your selection of statistical lines to apply to all data sets.


Set Number

This option is disabled when All Sets is checked. To select different statistical lines for each data set, clear the All Sets box. Then use the Set Number control to scroll through data sets one by one, selecting the statistical lines you want for each set.

If you've enabled an overlay graph, select statistical lines for that graphon the Overlay page.


Mean (default is off)

Check this box to enable a mean line, which is drawn horizontally through the average value of all data points in a set. Clear the box for no mean line.


Min/Max (default is off)

Check this box to enable min and max lines, which are drawn horizontally through the lowest and highest data points in a set. Clear the box for no min and max lines.


Std Deviation (default is off)

Check this box to enable a pair of standard-deviation lines, which are drawn horizontally through the standard deviation from the mean (in both the positive and negative directions). Clear the box for no standard-deviation lines.


Best Fit (default is off)

Check this box to enable a best-fit line, which is a straight line indicating the trend of data points (a first-order polynomial curve). Clear the box for no best-fit line.


Curve Fit (default is off)

Check this box if you want to fit a curve through your data points. Clear the box for no curve.

You can choose the type, order and granularity of the curve in the Curve Fit group on the Trends page. These settings will apply to all curves drawn on the graph.


Color (default is same color as data set)

Use these list boxes to choose colors for statistical lines from the selected color palette. By default, statistical lines are drawn in the same color as the data sets they apply to. If you choose a color, it's applied to that type of line (mean, min/max, standard deviation, best fit or curve) for all data sets.

To choose a color palette, go to the Background property page.

Note:


Curve Type (default is Variable-Order Polynomial)

Choose the type of curve you want to plot.

Curve type	Description/formula

Variable-Order Polynomial	Polynomial curve of variable order

Logarithmic	y = a + b * log(x)

Exponential 1	y = a * exp(b * x)

Exponential 2	y = a * x * exp(b * x)

Power	y = a * (x ^ b)

Inverse 1	y = a + b / x

Inverse 2	y = a / (b + x)

Inverse 3	y = 1 / (a + b * x)

Inverse 4	y = x / (a * x + b)

Inverse 5	y = 1 / (a + b * x) ^ 2

Spline	Spline fit through all points

Moving Average Mid	Moving average plotted at midpoint of averaged group

Moving Average End	Moving average plotted at end point of averaged group


Order (default is 2)

This text box applies only to three curve types:

•	For variable-order polynomial curves, Order is the order of the polynomial used in curve fitting. A setting of 1 produces a straight line (the same as a best-fit line); a setting one less than the number of points produces a curve that passes through every point.

•	For moving-average mid and moving-average end curves, Order is the range of data points over which moving averages are averaged, beginning with the first point.


Granularity

This scroll bar sets the granularity of all curve types except moving-average. The granularity is the number of "steps," or straight line segments, making up the curve. Higher values create smoother curves, but require more drawing time.

The default Granularity setting is 50 curve steps, which generally creates a smooth-looking curve at a high drawing speed. Each click to the left decreases the number of steps by 2 (to a minimum of 10), and each click to the right increases the number of steps by 2 (to a maximum of 1000).

With spline curves, you generally need higher granularities than normal--up to 10 times the number of points in the graph.


High

Check this box to enable a high limit line.


High value

Enter a high limit value.

Note:  You can enter a value without enabling a high limit line. You may want to specify a high value to be used in screening data before it is graphed. See the Miss list on the Data property page.


Low

Check this box to enable a low limit line.


Low value

Enter a low limit value.

Note:  You can enter a value without enabling a low limit line. You may want to specify a low value to be used in screening data before it is graphed. See the By Value list on the Data property page.


Line

Choose a pattern for the limit lines.


Fill

Choose a pattern for filling the area outside of or between limit lines. The default is no pattern--the area will not be filled.


Color

Choose a color for limit lines and fills.

To choose a color palette, go to the Background property page.


Fill Opposite

Check this box if you want the area between limit lines filled with a pattern.

For this option to take effect, you must enable both high and low limit lines and select a fill pattern.


High Label

Type text for the high limit label. If this box is empty, the line will have no label.


Low Label

Type text for the low limit label. If this box is empty, the line will have no label.


Overlay property page

Click where you need help


Off (default)

Select this option for no overlay graph.


Shared Axis

Select this option to draw an overlay graph using the same Y axis as the primary graph.


Second Axis

Select this option to draw an overlay graph using a second Y axis, which is always drawn at the right edge of the graph.


Data Values

Click this button to enter  values to be plotted against the overlay graph's Y (vertical) axis.


X Position

Click this button to enter values to be plotted against the overlay graph's X (horizontal) axis.

In most cases, X Position values are optional--you need them only if you want to set custom positions for data points along the X axis.


Missing Data

This dialog presents a grid in which you can mark certain data points as "missing."  Missing data points are not displayed in the graph, even if you have set a value for the point using the Data Values grid.

When you place the cursor in a particular cell, the lower right corner of the dialog displays a (set, point) indicator. Because overlay graphs have only one data set, the set indicator will always display 1. The point indicator will change depending on which cell the cursor is in. If the cursor is in the third cell, the indicator will display (1, 3), meaning Set 1, Point 3.

To specify a data point as missing, enter a -1 in the corresponding cell. To display a data point, leave its cell blank or enter 0.


Color (default is automatic black or white)

In this list box, you can choose a color for the overlay graph's markers from the selected color palette. The default color is automatic black or white, whichever provides the most contrast.

To choose a color palette, go to the Background property page.


Symbol (default is +)

In this list box, you can choose one of 14 symbol options for the overlay graph.


Thick Line (default is on)

Check this box to enable thick lines, which are three pixels thick by default. Clear the box for thin lines, which are one pixel thick.

In the list box, you can choose a line thickness of one to five pixels, overriding the default three pixels.


Patterned Line (default is off)

Check this box to enable patterned lines. Then, in the list box, choose a pattern for the line.


Error Bar property page

Click where you need help


Error bars

Some graph types (2D scatter, 2D line, and 2D bar) can include error bars, which are vertical or horizontal lines indicating a range of error or uncertainty in the plotted values. In the Error Bar property page, you can enable error bars and determine how they're figured.


X Error Bars (available for scatter graphs only)

Select this option to apply settings to X error bars, which are available only in scatter graphs. These bars extend horizontally from plotted points.


Y Error Bars (default)

Select this option to apply settings to Y error bars. These bars extend vertically from plotted points, except in horizontal bar graphs, in which they extend horizontally.


No Error Bars (default)

Select this option for no error bars.


Fixed Value

Select this option to set a fixed length for error bars. You can enter this fixed length in the text box.


Percent Value

Select this option to set a percentage length for error bars--the length of each bar is a percentage of the plotted value. You can enter this percentage in the text box.


Standard Deviation

Select this option to set the length of error bars as the standard deviation from the mean. In the text box, you can specify a multiplier for this standard deviation.


Standard Error

Select this option to set the length of error bars as the standard error of the plotted values.


User-Defined

Select this option to enter your own lengths for the error bars.


No Plus Bar (default is off)

Check this box to disable error bars in the positive direction. Clear the box to enable them.


No Minus Bar (default is off)

Check this box to disable error bars in the negative direction. Clear the box to enable them.


User-Defined group

These buttons are enabled only when you select the User-Defined option in the Error Source group.

Plus Data and Minus Data. Click these buttons to enter the Plus Error Bars and Minus Error Bars dialogs, which let you define the lengths of error bars in the positive and negative directions. In these dialogs, each cell corresponds to a data point and each row corresponds to a data set.


Background property page

Click where you need help


Apply To

Select the graph object to which you want to apply styles and color.


No Style (default)

Select this option for no styling effect.


Border

Select this option to draw a border around the object.


Drop Shadow

Select this option to draw a black drop shadow behind the object.


Raised

Select this option to draw a border with a "raised" appearance around the object.


Lowered

Select this option to draw a border with a "lowered" appearance around the object.


Text Color (default is automatic black or white)

In this list box, you can choose a color for the object's text from the current palette. The default color is automatic black or white, whichever provides the most contrast.


Background (default is automatic black or white)

In this list box, you can choose a background color for the rectangular area surrounding a graph. The default color is automatic black or white, whichever provides the most contrast.


Background Color (default is light gray)

In this list box, you can choose a background color for the graphing window from the current color palette.


Backdrop (default is None)

This list box lets you choose a type of graphic image (bitmap or metafile) to use for the backdrop of the graphing window. You also choose how the image is displayed--centered, tiled, or stretched.


File

In this text box, you can enter the filename for the graph's backdrop image. If you don't include a path to the file as part of this string, the Graph control searches the current directory. The appropriate file extension (.BMP or .WMF) is added automatically, according to your selection in the Backdrop list box.


Browse

Click this button if you want to call up a standard Windows dialog to select the file name and folder.


Palette

In this list box, you can choose a 16-color or 128-color palette for your screen. Whenever you have to set a color in the Graph control, this palette determines the choices in the color list box.

•	16-color palettes consist of 16 differentiated colors--default, pastel, or grayscale.

•	128-color palettes always consist of the 16 colors from the default palette, followed by 96 colors that vary according to the palette you select. The Graph control reserves 16 additional colors for special graphic needs, such as drawing the sides of 3D bars; you can't select these reserved colors yourself.


Legend property page

Click where you need help


Legend Text

Click this button to call up the Legend Text dialog, which lets you enter the individual text strings for a graph's legend. The number of legend strings depends on the graph type:

•	For pie charts, bubble graphs, and bar graphs having only one data set, the number of legend strings is equal to the Points value in the Data Dimension group.

•	For all other graph types, the number of legend strings is equal to the Sets value in the Data Dimension group.


Position (default is right-hand center)

If your graph has a legend, you can use these buttons to set the legend's position around the edges of the graphing window.

If you choose the top center or bottom center position, legend items are drawn horizontally in a single row. At all other positions, legend items are stacked vertically.


Size (default is maximum)

This scroll bar lets you set the size of a legend--including the text, marker, and gap between items. The Size setting is a percentage of the maximum legend size. The default setting is 100, and each click to the left or right decreases or increases the setting by 1 (to a minimum of 0 or maximum of 100).


Labels property page

Click where you need help


On

Check this box to show labels along the axis.

By default, axes are automatically labeled with numbers determined by the scale and range of the data. You can enter your own text for labels by selecting Text Array from the Type list and then clicking the Label Text button.

For the X axis, the Type list also includes a number of date/time options. If you select one of those, you must also entering a starting date or time and an increment. The axis will then be labeled automatically with a series of dates or times.


Vertical (available for X and Z axes only; default is off)

Check this box to display X or Z labels vertically (rotated 90 degrees counterclockwise). Clear the box for horizontal labels.

The Vertical option is normally used with text labels. It lets you use a larger font for labels because you don't need as much space horizontally.


Every (available for X axis only; default is 1)

The Every setting determines the frequency with which labels are displayed. A setting of 1 places a label at every tick along the X axis, a setting of 2 places a label at every other tick (beginning with the origin), and so on.

If you've defined text labels for the X axis, they are displayed in the order you give them in the Label Text dialog regardless of the Every setting.


Type

Select a label type from the list.

If the current graph is pie or polar, the list has only one choice: numeric. For all other graph types, the options depend on which axis is selected.

Y and Z axis labels can be either numeric or text.

•	If you select numeric, labels will be calculated automatically from the scale and range of the graph's data. You can format numeric labels by selecting a string from the Format listbox.

•	If you select text, the Label Text button is enabled so that you can enter a list of labels. Formatting is not available for text labels.

X axis labels can be numeric, text, or one of several date/time types.

•	If you select one of the date/time types, you must also set a starting date and an increment in the Date Labels group. You can format date/time labels by selecting a string from the Format listbox.


Label Text

This button is disabled until you select "Text Array" from the Type drop-down list. When enabled, clicking on the Label Text button presents a dialog with a grid in which you may enter text for labels along the selected axis.


Start

Enter a starting date/time.

Note:  Boxes for Year, Month and Day are enabled only when the label type is Date, Date and Time, or Date Skip Weekend. Boxes for Hour, Min and Sec are enabled only when the type is Time or Date and Time.


Increment

Enter the increment for each point label.

For example, if you want labels to increment by one year, enter 1 under Year and 0 in all other boxes. If you want them to increment by one month, enter 1 under Month and 0 in all other boxes. If you want to increment each label by one year and six months, enter 1 under Year, 6 under Month and 0 for Day (and, optionally, Hour, Min, Sec).


Format

Applies formatting to numeric or date labels. Select a format from the list.

Number	Format	Displays as		Date/Time	Format	Displays as
1000	0	1000		1997-03-01	m/d/yy	3/1/97
1000	0.00	1000.00		1997-03-01	d mmm yy	1 Mar 97
1000	#,##0	1,000		1997-03-01	d mmm	1 Mar
1000	\$#,##0	$1,000		1997-03-01	mmm yy	Mar 97
1000	\$#,##0\k	$1k		13-30-25	h:nn AM/PM	1:30 PM
0.10	0%	10%		13-30-25	h:nn:ss a/p	1:30:25 p
0.105	0.00%	10.50%		13-30-25	hh:nn	13:30
				13-30-25	hh:nn:ss	13:30:25
				13-30-25	nn:ss	30:25
Note: Label formatting is applied only when labels are generated automatically. If you supply your own label text, it's up to you to format the labels when you enter them.


On (default is off)

Check this box to enable data labels. Unlike axis labels, which are associated with tick marks along an axis, data labels are associated with individual data points. By default, points are labeled with their values. You can instead enter text for each point label by clicking on the Label Text button.

Data labels are available for all 2D graph types except time series and pie. (You can label points on a pie chart by selecting options from the Axis Labels group.) Data labels are not available for 3D graphs.


Group Color

Select this option to have each data label match the color of its associated marker.


Uniform Color (default is automatic black or white)

Select this option if you want to apply the same color (chosen from the list box) for all data labels. The default color is automatic black or white, whichever provides the most contrast.

Colors vary according to the color palette you've selected. To choose a palette, go to the Background property page.


Label Text

Click this button to call up the Label Text dialog, which lets you specify text for each data label. If you don't define text labels, data points are labeled with their values.


System property page

Click where you need help


Border (default is off)

Check this box to include a border around the graphing window when you print it. Clear the box for no border.


Mono (default)

Select this option to print in monochrome, with a white background and black objects. The Graph control supplies varying patterns, symbols, and line thicknesses to differentiate data sets and points from each other.


Color

Select this option to print in color or grayscale. The graphing window is printed as it appears on the screen.


Landscape

The default orientation of the graph on the page is portrait.

Selecting this option changes the orientation to landscape.

Portrait	Landscape


Full page

Select this option to expand the graph to fit the dimensions of the paper.


Print

Click this button to print the graphing window on the current printer.


WMF

Select this option if you want to create a metafile of the graphing window.


BMP

Select this option if you want to create a bitmap of the graphing window.


JPEG

Select this option if you want to save an image of the graph in JPEG format.


Clipboard (default)

Select this option if you want to copy the image to the Windows clipboard.


File

Select this option if you want to copy the image to disk.

You can enter a filename for the image in the text box. If you don't include a path in the filename, the Graph control places the file in the current directory. The appropriate file extension (.BMP or .WMF) is added automatically, according to your selection in the Image Format subgroup.


Copy

Click this button to save the image to disk or the clipboard according to your settings in the Image Format and Target subgroups.


File

Enter the name of a graph template file. The default file extension is .GSP.


Name

What you enter here depends on whether you are saving or restoring a graph definition.

•	To save a new graph definition, enter a name for the graph.

•	To open a definition previously saved in this template, select a name from the drop-down list.


Load

Click this button to restore a previously saved graph definition.


Save

Click this button to save the graph definition.


Save Data

Select this option if you want to save graph data as well as the graph's appearance.


Format

Select a format for an image map.


Tag

Set the Name attribute for a client-side image map.


Ref Strings

Enter an array of URLs for use in an image map.


File

Name the file for an image map.

You can enter a path, filename and extension in the text box or click the Browse button to get a standard Windows Save As dialog. If you don't specify a path, the file is written to the current directory.

A client-side image map is stored within the HTML document that references it. The setting for MapFile should be the file name and extension of the HTML document.

A server-side image map is stored in a file external to the HTML document that references it. The convention is to use the same base file name for both the image and the map. Often the map file's extension is .MAP, though other extensions are usually acceptable.


About the Graph Control property page
About property page

Click where you need help


About the Graph control

The About property page contains the Graph control's version number and related information. There are no settable options in this property page.


Bound data property page

Click where you need help


Data Values

Select this option to set fields used in graphing Y values.


X Position

Select this option to set fields used in graphing X values.


Data Source name

The name of the database or table that is the source of the graph's data. You cannot change the name. It is provided only for your information.


Use as Graph Title

Select this option if you want to use the Data Source name as the title for the graph.


Source data fields

This is a list of database fields not yet selected for graphing. To add a field to the graph, double-click its name in the list. The name will then move to the list of Graph data fields.


Graph data fields

This is a list of database fields selected for graphing. To remove a field from the list, double-click its name. It will then move to the list of Source data fields.

Note: Data fields are graphed in the order in which they are listed.


Label Field

If you want one of the fields in the database to provide text for X axis labels, select the field by highlighting its name in the list.


Legend Text

Select this option if you want to enter text strings for the graph's legend. (You can also set legend text from the Data property page.)


Edit box

By default, text for the legend is taken from the names of the fields selected for graphing. To edit an item, select it by highlighting the item in the list below the edit box. Then type replacement text in the edit box.


Selection box

Select the text you want to edit by highlighting it in this list.


Angular axis

In a polar graph, a scale represented by angular displacements from the origin of three o'clock. Like the X axis of a graph with standard perpendicular axes, the angular axis usually shows an independent variable or cause.


Bitmap

An image file format with the extension .BMP. The pixels that make up an image on the screen are stored, or mapped, to the file as a collection of bits. When the image is in color, each pixel maps to more than one bit.


Graph Template

Graph templates provide a mechanism for saving and later restoring changes made to a graph. You can create as many template files as you need. Each one is capable of storing definitions for multiple graphs. A graph definition automatically includes settings for all properties affecting a graph's appearance. It can optionally include graph data as well.


Image map

A tool for mapping areas of an image to hypertext links. The Graph control can map each data point or point marker to a hypertext link that you supply, and output the result in a map file. The map can then be processed by either a web browser (client-side) or web server (server-side).

The format for client-side image maps is defined by the HTML 3.0 specification.

The format for server-side image maps is defined by the server software. Two server-side formats are in common use. One was developed by the National Center for Supercomputing Applications (NCSA). The other was developed at the birthplace of the World Wide Web, the European Laboratory for Particle Physics (CERN).


JPEG

A graphics file format developed by the Joint Photographic Experts Group. JPEG image files normally take the file extension JPG.

The JPEG graphics file format uses compression techniques to reduce the size of the image file. Unlike some compression techniques, those used in producing JPEG images are lossy, meaning that the original image is not reconstructed bit by bit. Instead, some image information is left out, or lost, during compression.

Some forms of JPEG compression allow the user to adjust the compression ratio. The ratio used by the Graph control is fixed at 90. This ratio has been chosen as an optimal compromise between image quality and compression.


Labels

Strings of text used to identify a graph's reference values, categories, and specific measurements. Labels are placed along graph axes or around the perimeter of a pie chart.


Legend

A list associating the colors or patterns used in the elements of a graph with the variables they represent.


Limit lines

 Lines drawn on a graph to highlight data that falls outside prescribed limits. Limit lines are not drawn on pie, polar, time-series, or any 3D graphs.


Metafile

A Windows image file format with the extension .WFM. The file stores the graphical objects (lines, circles, polygons) that compose an image rather than the pixels that make it up. A metafile preserves an image better than a bitmapped image when the image is resized.


Overlay graph

The Graph control lets you draw a second graph, called an overlay graph, using the same X axis as your primary graph. Overlay graphs are always line graphs and show only one data set. They can be overlaid on seven 2D graph types:  scatter, line, bar (vertical), area, high-low-close, open-high-low-close, and candlestick.


Radial axis

In a polar graph, a scale represented by the radial distance from the center point of the graph. Like the Y axis of a graph with standard perpendicular axes, the angular axis usually shows a dependent variable or effect.


X axis

A graph's horizontal scale. Usually, it shows an independent variable.


Y axis

A graph's vertical scale. Usually, it shows a dependent variable.


Z axis

In 3D graphs, a third axis indicating a depth scale.